Update IPsec Policy#
IPsecポリシーを更新します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://nfv.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://nfv.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
PUT
/vpn/nfv/ipsecpolicies/{ipsecpolicy-id}
HTTPステータスコード#
正常時:202
エラー時:400,404
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| ipsecpolicy-id | path | string | 必須 | IPsecポリシーID |
| ipsecpolicy | body | object | 必須 | IPsecポリシーのオブジェクト |
| name | body | xsd:string | 任意 | IPsecポリシーの名前 |
| initiator | body | string | 任意 | 鍵交換の開始方向 |
| auth_algorithm | body | string | 任意 | IPsecで利用する認証アルゴリズム |
| encryption_algorithm | body | string | 任意 | IPsecで利用する暗号化アルゴリズム |
| pfs | body | string | 任意 | PFSで利用するキーの最大のサイズグループ |
| lifetime | body | array | units: "seconds" value: 2000 任意 |
SAのライフタイム(秒) 120秒から946080000秒の間で指定します。 |
| description | body | string | 任意 | IPsecポリシーの説明 |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| ipsecpolicy | object | IPsecポリシーのオブジェクト |
| name | string | IPsecポリシーの名前 |
| initiator | string | 鍵交換の開始方向(応答、双方向) |
| auth_algorithm | string | 利用する認証アルゴリズム |
| encryption_algorithm | string | 利用する暗号化アルゴリズム |
| pfs | string | PFSで利用できるキーの最大のサイズグループ |
| lifetime | object | ライフタイムのオブジェクト |
| units | string | セキュリティアソシエーションの存続期間の単位 |
| value | integer | ライフタイム値 |
| id | string | IPsecポリシーのID |
| description | string | IPsec ポリシーの説明 |
リクエスト例#
{ "ipsecpolicy": { "name": "ipsec-policy", "initiator": "bi-directional", "auth_algorithm": "sha2", "encryption_algorithm": "aes-256", "pfs": "group14", "lifetime": { "units": "seconds", "value": 3600 } } }
レスポンス例#
{ "ipsecpolicy": { "name": "ipsec-policy", "initiator": "bi-directional", "auth_algorithm": "sha2", "encryption_algorithm": "aes-256", "pfs": "group14", "lifetime": { "units": "seconds", "value": 3600 }, "id": "27961" } }